- Main Page
- Modules
- Namespaces
- Classes
- Files
- Related Pages

- File List
- File Members

# ClearNode.cpp File Reference

`#include "osg/ClearNode"`
`#include "osgDB/Registry"`
`#include "osgDB/Input"`
`#include "osgDB/Output"`

Include dependency graph for lugins/osg/ClearNode.cpp:

## Functions
bool | ClearNode_readLocalData (Object &obj, Input &fr)
bool | ClearNode_writeLocalData (const Object &obj, Output &fw)
## Variables
RegisterDotOsgWrapperProxy | g_EarthSkyProxy (new osg::ClearNode,"EarthSky","Object Node EarthSky Group",&ClearNode_readLocalData,&ClearNode_writeLocalData)
RegisterDotOsgWrapperProxy | g_ClearNodeProxy (new osg::ClearNode,"ClearNode","Object Node ClearNode Group",&ClearNode_readLocalData,&ClearNode_writeLocalData)

## Function Documentation

bool ClearNode_readLocalData | ( | Object & | obj,
|  | Input & | fr
| ) |

bool ClearNode_writeLocalData | ( | const Object & | obj,
|  | Output & | fw
| ) |

## Variable Documentation

RegisterDotOsgWrapperProxy g_ClearNodeProxy(new osg::ClearNode,"ClearNode","Object Node ClearNode Group",&ClearNode_readLocalData,&ClearNode_writeLocalData)

RegisterDotOsgWrapperProxy g_EarthSkyProxy(new osg::ClearNode,"EarthSky","Object Node EarthSky Group",&ClearNode_readLocalData,&ClearNode_writeLocalData)